# lpinfo(8)

## Name

lpinfo - show available devices or drivers

## Synopsis

lpinfo [ -E ] [ -U username ] [ -h server[:port] ] [ -l ] [ --device-id device-id-string ] [ --exclude-schemes scheme-list ] [ --include-schemes scheme-list ] [ --language locale ] [ --make-and-model name ] [ --product name ] -m
lpinfo [ -E ] [ -U username ] [ -h server[:port] ] [ -l ] [ --exclude-schemes scheme-list ] [ --include-schemes scheme-list ] [ --timeout seconds ] -v

## Description

lpinfo lists the available devices or drivers known to the CUPS server. The first form (-m) lists the available drivers, while the second form (-v) lists the available devices.

## Options

lpinfo accepts the following options:

-E
  Forces encryption when connecting to the server.
-U username
  Sets the username to use when connecting to the server.
-h server[:port]
  Selects an alternate server.
-l
  Shows a "long" listing of devices or drivers.
--device-id device-id-string
  Specifies the IEEE-1284 device ID to match when listing drivers with the -m option.
--exclude-schemes scheme-list
  Specifies a comma-separated list of device or PPD schemes that should be excluded from the results. Static PPD files use the "file" scheme.
--include-schemes scheme-list
  Specifies a comma-separated list of device or PPD schemes that should be included in the results. Static PPD files use the "file" scheme.
--language locale
  Specifies the language to match when listing drivers with the -m option.
--make-and-model name
  Specifies the make and model to match when listing drivers with the -m option.
--product name
  Specifies the product to match when listing drivers with the -m option.
--timeout seconds
  Specifies the timeout when listing devices with the -v option.

## Compatibility

The lpinfo command is unique to CUPS.

## See Also

lpadmin(8),
http://localhost:631/help

## Copyright

Copyright 2007-2011 by Apple Inc.